
BEGIN_EVENT_TABLE(Restructor::MyFrame, wxFrame)
  EVT_SIZING(Restructor::MyFrame::OnSizing)
  EVT_MENU(wxID_ANY, Restructor::MyFrame::OnMenu)
  EVT_TEXT(A_SEARCH, Restructor::MyFrame::OnSearch)
  EVT_CLOSE(Restructor::MyFrame::OnClosing)
  EVT_MAXIMIZE(Restructor::MyFrame::OnMaximize)
  EVT_ACTIVATE(Restructor::MyFrame::OnActivate)
  EVT_COMBOBOX(A_CELLCOLOR, Restructor::MyFrame::OnCellColor)
  EVT_COMBOBOX(A_TEXTCOLOR, Restructor::MyFrame::OnTextColor)
  EVT_ICONIZE(Restructor::MyFrame::OnIconize)
  EVT_NOTEBOOK_PAGE_CHANGED(wxID_ANY, Restructor::MyFrame::OnTabChange)
END_EVENT_TABLE()

BEGIN_EVENT_TABLE(Restructor::MyApp, wxApp)
END_EVENT_TABLE()

BEGIN_EVENT_TABLE(Restructor::TSCanvas, wxScrolledWindow)
  EVT_MOUSEWHEEL(Restructor::TSCanvas::OnMouseWheel)
  EVT_PAINT(Restructor::TSCanvas::OnPaint)
  EVT_MOTION(Restructor::TSCanvas::OnMotion)
  EVT_LEFT_DOWN(Restructor::TSCanvas::OnLeftDown)
  EVT_RIGHT_DOWN(Restructor::TSCanvas::OnRightDown)
  EVT_LEFT_DCLICK(Restructor::TSCanvas::OnLeftDoubleClick)
  EVT_CHAR(Restructor::TSCanvas::OnChar)
  EVT_CONTEXT_MENU(Restructor::TSCanvas::OnContextMenuClick)
  EVT_SIZE(Restructor::TSCanvas::OnSize)
END_EVENT_TABLE()

BEGIN_EVENT_TABLE(Restructor::ThreeChoiceDialog, wxDialog)
    EVT_BUTTON(wxID_ANY, Restructor::ThreeChoiceDialog::OnButton)
END_EVENT_TABLE()

IMPLEMENT_DYNAMIC_CLASS (Restructor::CTransparentStaticText, wxStaticText)

BEGIN_EVENT_TABLE(Restructor::CTransparentStaticText, wxStaticText)
    EVT_PAINT(Restructor::CTransparentStaticText::OnPaint)
END_EVENT_TABLE()
